/*  bbs.h  --  define some of Fido's data structures  */

struct	_usr {				/* layout of the user record */
	char	    _uname[36], 	/* user's ASCII name */
		    _ucity[36]; 	/* city and state */
	int	    _udate[20]; 	/* initial date will change to 6-byte format */
	char	    _upwd[16];		/* what else */
	int	    _utimes,		/* # times called */
		    _uhelp,		/* last help setting */
		    _utabs,		/* 1 == expand tabs */
		    _unulls,		/* number of nulls after CR */
		    _umsg,		/* last selected message area */
		    _umore,		/* last MORE setting */
		    _upriv;		/* user privilege level */
	char	    _uldate[20];	/* last time called */
	int	    _utime;		/* total time on system in 1 day */
	unsigned    _uflag,		/* various bit flags */
		    _uupld,		/* total K byte uploaded */
		    _udnld,		/* total K byte downloaded */
		    _udnldl;		/* download, for limiting */
	int	    _ufiles;		/* last selected file area */
	char	    _uwidth,		/* screen width */
		    _ulen;		/* screen length */
	int	    _ucredit,		/* credit, in cents */
		    _udebit;		/* debit, in cents */
	};

typedef struct _usr	USR;


#define TWIT	    -2			/* total asshole */
#define DISGRACE    0			/* disgraced user */
#define NORMAL	    2			/* normal user */
#define PRIVEL	    4			/* privileged user */
#define EXTRA	    6			/* extra privileges */
#define SYSOP	    10			/* SYSOP privileges */

#define EXPERT	    2			/* user help level: expert */
#define REGULAR     4			/* experienced */
#define NOVICE	    6			/* new user */

#define QUEST	    1			/* flag: questionnaire requested */


#define     TWIT -2
#define     DISGRACE 0
#define     NORMAL 2
#define     PRIVEL 4
#define     EXTRA 6
#define     SYSOP 10

struct	_sys {				/* for each virtual bulletin board */
	int	    _scaller,		/* caller number */
		    _spriv;		/* minimum privilege level */
	char	    _smsgpath[40],	/* path for message base */
		    _sbbspath[40],	/*	for .BBS files */
		    _shlppath[40],	/*	for .HLP files */
		    _suppath[40],	/*	for uploads */
		    _sfilepath[40];	/*	for file area */
	int	    _sattrib;		/* attributes */
	};

typedef struct _sys	VSYS;

#define     SYSMAIL 1			/* is a mail area */

struct	_msg {				/* layout of the message header */
	char	    _mfrom[36], 	/* from whom */
		    _mto[36],		/* to whom */
		    _msubj[72], 	/* subject */
		    _mdate[20]; 	/* date/time message entered system */
	int	    _mtimes,		/* number times message has been read */
		    _mdest,		/* destination node */
		    _morig,		/* originating node */
		    _mcost,		/* cost this message (to remote) */
		    _mcaca[6],		/* filler */
		    _mreply,		/* reply-to message number */
		    _mattrib,		/* attribute flags (see below) */
		    _mup;		/* replied-from message number */
	};

typedef struct _msg	MSGHDR;

#define MSGPRIVATE  1
#define MSGBROAD    2
#define MSGREAD     4
#define MSGSENT     8
#define MSGFILE     16

/* end of bbs.h */
